> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Repair Meta Page Attribution

> Repair stale advertiser binding for Meta Page-ID ingests.



## OpenAPI

````yaml /openapi.json post /api/v1/admin/integrations/meta-ad-library/meta-page-attribution/repair
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/admin/integrations/meta-ad-library/meta-page-attribution/repair:
    post:
      tags:
        - Admin
      summary: Repair Meta Page Attribution
      description: Repair stale advertiser binding for Meta Page-ID ingests.
      operationId: >-
        repair_meta_page_attribution_api_v1_admin_integrations_meta_ad_library_meta_page_attribution_repair_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AdminMetaPageAttributionRepairRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AdminMetaPageAttributionRepairResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    AdminMetaPageAttributionRepairRequest:
      properties:
        pages:
          items:
            $ref: '#/components/schemas/AdminMetaPageAttributionRepairItem'
          type: array
          maxItems: 200
          title: Pages
      type: object
      title: AdminMetaPageAttributionRepairRequest
    AdminMetaPageAttributionRepairResponse:
      properties:
        requested:
          type: integer
          title: Requested
        repaired_source_accounts:
          type: integer
          title: Repaired Source Accounts
        repaired_ads:
          type: integer
          title: Repaired Ads
        results:
          items:
            $ref: '#/components/schemas/AdminMetaPageAttributionRepairResult'
          type: array
          title: Results
      type: object
      required:
        - requested
        - repaired_source_accounts
        - repaired_ads
      title: AdminMetaPageAttributionRepairResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AdminMetaPageAttributionRepairItem:
      properties:
        facebook_page_id:
          type: string
          maxLength: 80
          title: Facebook Page Id
        page_name:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Page Name
        page_url:
          anyOf:
            - type: string
              maxLength: 2048
            - type: 'null'
          title: Page Url
      type: object
      required:
        - facebook_page_id
      title: AdminMetaPageAttributionRepairItem
    AdminMetaPageAttributionRepairResult:
      properties:
        facebook_page_id:
          type: string
          title: Facebook Page Id
        advertiser_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Advertiser Id
        canonical_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Canonical Name
        source_accounts_repaired:
          type: integer
          title: Source Accounts Repaired
          default: 0
        ads_repaired:
          type: integer
          title: Ads Repaired
          default: 0
        skipped_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Skipped Reason
      type: object
      required:
        - facebook_page_id
      title: AdminMetaPageAttributionRepairResult
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````